
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux系统编程之文件与I/O（六） fcntl函数与文件锁 / iVAN</title>

    <meta name="description" content="linux系统编程之文件与I/O（六） fcntl函数与文件锁 一.fcntl函数 功能:操纵文件描述符,改变已打开的文件的属性 int fcntl(int fd, int cmd, ... /* arg */ ); cmd的取值可以如下: 复制文件描述符 F_DUPFD (long) 设置/获取文件描述符标志 F_GETFD (void) F_SETFD (long) 设置/获取文件状态标志 F_GETFL (void) F_SETFL (long) 获取/设置文件锁 F_GETLK F_SETLK,F_SETLKW 其中复制文件描述符可参见&lt;lin ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux系统编程之文件与I/O（六） fcntl函数与文件锁</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、fcntl函数</p>
<p>功能：操纵文件描述符，改变已打开的文件的属性</p>
<p>int fcntl(int fd, int cmd, ... /* arg */ );</p>
<p>cmd的取值可以如下：</p>
<p>复制文件描述符</p>
<p>F_DUPFD (long)</p>
<p>设置/获取文件描述符标志</p>
<p>F_GETFD (void)</p>
<p>F_SETFD (long)</p>
<p>设置/获取文件状态标志</p>
<p>F_GETFL (void)</p>
<p>F_SETFL (long)</p>
<p>获取/设置文件锁</p>
<p>F_GETLK</p>
<p>F_SETLK，F_SETLKW</p>
<p>其中复制文件描述符可参见《linux系统编程之文件与I/O（五）：打开文件的内核结构file和重定向》，文件描述符的标志只有一个即FD_CLOEXEC，设置/获取文件描述符标志看这里。下面先来看设置/获取文件状态标志。</p>
<p>F_SETFL:</p>
<p>On Linux  this  command can change only the O_APPEND, O_ASYNC, O_DIRECT, O_NOATIME, and O_NONBLOCK flags.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 06:42:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%8a%b6%e6%80%81/" title="状态">状态</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/long/" title="long">long</a>, <a href="https://www.iamivan.net/tag/linux%e7%bc%96%e7%a8%8b/" title="linux编程">linux编程</a>, <a href="https://www.iamivan.net/tag/fcntl-ubuntu-c/" title="fcntl ubuntu c">fcntl ubuntu c</a>, <a href="https://www.iamivan.net/tag/fcntl/" title="fcntl">fcntl</a>, <a href="https://www.iamivan.net/tag/fcntl%e5%87%bd%e6%95%b0/" title="fcntl函数">fcntl函数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux系统编程之文件与I/O（六） fcntl函数与文件锁的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ov27b.html" rel="bookmark">【Linux系统编程】文件IO操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件描述符 在 Linux 的世界里,一切设备皆文件.我们可以系统调用中 I/O 的函数(I:input,输入:O:output,输出),对文件进行相应的操作( open().close().write() .read() 等). 打开现存文件或新建文件时,系统(内核)会返回一个文件描述符,文件描述符用来指定已打开的文件.这个文件描述符相当于这个已打开文件的标号,文件描述符是非负整数,是文件的标识,操作这个文件描述符相当于操作这个描述符所指定的文件. 程序运行起来后(每个进程)都有一张文件描述符			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwljmkb.html" rel="bookmark">linux系统编程之信号（二） 信号发送函数及不同精度的睡眠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.kill, raise, killpg 函数 int kill(pid_t pid, int sig); int raise(int sig); int killpg(int pgrp, int sig); kill命令是调用kill函数实现的,kill函数可以给一个指定的进程或进程组发送指定的信号,其中kill 函数的pid 参数取值不同表示不同含义,具体可man 一下.raise函数可以给当前进程发送指定的信号(自己给自己发信号).killpg 函数可以给进程组发生信号.这三个函数都是成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7knAaz.html" rel="bookmark">linux系统编程之进程（三） exec系列函数和system函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.exec替换进程映象 在进程的创建上Unix采用了一个独特的方法,它将进程创建与加载一个新进程映象分离.这样的好处是有更多的余地对两种操作进行管理.当我们创建了一个进程之后,通常将子进程替换成新的进程映象,这可以用exec系列的函数来进行.当然,exec系列的函数也可以将当前进程替换掉. 二.exec关联函数组 包含头文件&lt;unistd.h&gt; 功能用exec函数可以把当前进程替换为一个新进程.exec名下是由多个关联函数组成的一个完整系列,头文件&lt;unistd.h&gt; 原型 in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAajGAM.html" rel="bookmark">linux系统编程之文件与I&sol;O（一） 文件的打开关闭</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.文件描述符 对于Linux而言,所有对设备或文件的操作都是通过文件描述符进行的.当打开或者创建一个文件的时候,内核向进程返回一个文件描述符(非负整数).后续对文件的操作只需通过该文件描述符,内核记录有关这个打开文件的信息(file结构体). 一个进程启动时,默认打开了3个文件,标准输入.标准输出.标准错误,对应文件描述符是0(STDIN_FILENO).1(STDOUT_FILENO).2(STDERR_FILENO),这些常量定义在unistd.h头文件中. fileno:将文件指针转换为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2gDrp.html" rel="bookmark">linux系统编程之文件与I&sol;O（五） 文件的内核结构file和实现重定向</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.打开文件内核数据结构 1.一个进程打开两个文件 文件状态标志:读.写.追加.同步.非阻塞等 2.一个进程两次打开同一文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7RE7b.html" rel="bookmark">linux系统编程之文件与I&sol;O（四） 文件的属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.读取文件元数据 int stat(const char *path, struct stat *buf); int fstat(int fd, struct stat *buf); int lstat(const char *path, struct stat *buf); stat() stats the file pointed to by path and fills in buf. lstat()  is  identical to stat(), except that if pa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA34Wb.html" rel="bookmark">linux系统编程之文件与I&sol;O（二） 文件的读取写入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.read系统调用 一旦有了与一个打开文件描述相关连的文件描述符,只要该文件是用O_RDONLY或O_RDWR标志打开的,就可以用read()系统调用从该文件中读取字节 函数原型: ssize_t read(int fd, void *buf, size_t count); 参数: fd :想要读的文件的文件描述符 buf : 指向内存块的指针,从文件中读取来的字节放到这个内存块中 count : 从该文件复制到buf中的字节个数 返回值: 如果出现错误,返回-1:读文件结束,返回0:否则返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLORXaM.html" rel="bookmark">linux系统编程之文件与I&sol;O（三） 目录的操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.目录的访问 功能说明:打开一个目录 原型:DIR*  opendir(char *pathname); 返回值: 打开成功,返回一个目录指针 打开失败,则返回NULL 功能说明:访问指定目录中下一个连接的细节 原型:struct  dirent*  readdir(DIR  *dirptr); 返回值: 返回一个指向dirent结构的指针,它包含指定目录中下一个连接的细节: 没有更多连接时,返回NULL 功能说明:关闭一个已经打开的目录 原型:int closedir (DIR  *dirp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyRnBb.html" rel="bookmark">linux系统编程之进程（四） wait&sol;waitpid函数与僵尸进程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.僵尸进程 当子进程退出的时候,内核会向父进程发送SIGCHLD信号,子进程的退出是个异步事件(子进程可以在父进程运行的任何时刻终止) 子进程退出时,内核将子进程置为僵尸状态,这个进程称为僵尸进程,它只保留最小的一些内核数据结构,以便父进程查询子进程的退出状态. 父进程查询子进程的退出状态可以用wait/waitpid函数. 二.如何避免僵尸进程 当一个子进程结束运行时,它与其父进程之间的关联还会保持到父进程也正常地结束运行或者父进程调用了wait/waitpid才告终止. 进程表中代表子进程			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlQ9Op.html" rel="bookmark" class="title">在android程序中打开HPROF文件时出错</a>
					<div>
						问题描述 在android程序中打开HPROF文件时出错 当我用Memory Analyzer打开HPROF文件时(由Debug.dumpHprofData创建),得到的是以下的异常: java.io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyd6Pb.html" rel="bookmark" class="title">PS为阳光美女照片调出夏日清新色调的教程</a>
					<div>
						夏天来了,各种颜色盛开的花朵,翠绿的树木,还有在阳光下蔚蓝的天空,我们的周围开始变的五彩缤纷.很多pocoer喜欢在户外拍拍美女模特,可是有时候,拍出的照片虽然色彩丰富,但并不如想象的那么清新通透,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLRd5b.html" rel="bookmark" class="title">MYSQL到ORACLE程序迁移的注意事项&lpar;转载）</a>
					<div>
						mysql|oracle|程序 MYSQL到ORACLE程序迁移的注意事项                                                  2001-09     有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6d7Nz.html" rel="bookmark" class="title">Fireworks 简单立体文字特效</a>
					<div>
						1.打开Fireworks,新建一个文件,文件的大小自定.用矩形绘制工具在编辑区绘制一个矩形对象,作为背景.本例背景如下图所示. 2.在编辑区输入文字,字体采用了一种较粗的字体&quot;Arial  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4mxYb.html" rel="bookmark" class="title">蓝芒科技就断网致用户的补偿公告</a>
					<div>
						尊敬的蓝芒用户: 感谢所有的大力理解和支持蓝芒科技的站长.个人和企业用户,经多方的共同努力,现网络已全面恢复. 首先,感谢在蓝芒搬迁期间各位用户的理解支持和鼓励,感谢各大电台.电视台.网络媒体的关注和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1okaz.html" rel="bookmark" class="title">挖掘flash潜能 锚记使用讲解</a>
					<div>
						很多人都不知道flash中有个叫锚记的东西,更别说使用他了,即使有人知道有这个东西也不见的会使用,即使会使用他也不一定去用.    那么我现在就告诉那些不知道锚记是什么,跟那些不会用锚记的人使用.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjk4dM.html" rel="bookmark" class="title">从企业角度出发的搜索营销策略分享</a>
					<div>
						搜索营销(SEM)包含SEO和搜索竞价PPC.应该说,这一直是中国企业做网络营销用得最多的两种营销方式.SEO和PPC虽然都属搜索营销,但在策略上,两者仍有很大的区别. SEO本质上属于网站运营的范畴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NV8Jz.html" rel="bookmark" class="title">如何实现路由器的本地验证和授权</a>
					<div>
						1. 概述: 在中小规模的网络中,网络中心的网络管理员往往需要对一个远程站点的管理员进行一定程度的授权,而不想让站点管理员使用所有的路由器特权口令,本文就以上问题做一个简单的分析和讨论. 2. 路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEQ3ob.html" rel="bookmark" class="title">WebSphere Application Server V7高级安全性加强，第1部分：（上）</a>
					<div>
						安全性加强概述和方法 简介 IBM WebSphere Application Server 的安全性在每个版本中都有所改进.除了在新版本中 增加新功能之外,我们还不断增强产品的默认安全性.我们通过改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl7mmb.html" rel="bookmark" class="title">Linux Deepin 2013支持人脸识别功能</a>
					<div>
						2013年是不平凡的一年,自这一年的1月28日开始,我们相继发布了12.12 Alpha.Beta.RC.12.12正式版.12.12.1增强版等多个版本.Linux Deepin的新桌面环境从优秀的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7PD7b.html" rel="bookmark" class="title">WiseIE浏览器设置技巧</a>
					<div>
						本教程为大家介绍WiseIE浏览器设置技巧,将其变得更具个性化. 1.怎么改变网页的背景? 进入&quot;个性化&quot;进行设置,下方有&quot;网页背景&quot;的设置项,你可将网页背景设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nxo0z.html" rel="bookmark" class="title">网页设计基本配色参考热情色谱</a>
					<div>
						采用黄橙.琥珀色的色彩组合,是最具亲和力的.添加少许红色的黄色会发出夺目的色彩,处处惹人怜爱.如果充分表现出这类色彩组合的强度时,会使人联想到耀眼的金光或是珍贵的番红花. 把番红花色(saffron) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlReaVz.html" rel="bookmark" class="title">PS教你制作超现实感人像拼贴照片</a>
					<div>
						  对于外拍人像,相信大家的经验一定非常丰富,但您有想过把人像拍出具有超现实感的摄影作品吗?这次笔者便介绍一下怎样利用Photoscape这套免费软件制作人像合成相片吧! Photoscape 是一款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA7KBb.html" rel="bookmark" class="title">Photoshop调出情侣照片超质感的金属肤色</a>
					<div>
						效果图: 原图: 1:打开原片,先来观察一下片子 可能有很多人会想说:光比较平,色彩一般,质感一般,平淡无奇.观片的感受因个人而议,妆容造型很有新意,奇葩而付有神秘色彩.我的感受是摄影师给后期保留了不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK726Ob.html" rel="bookmark" class="title">用控件工具在WPS表格中插入Flash动画</a>
					<div>
						大家经常用控件工具在PPT中插入Flash动画,经过尝试以后发现在WPS表格中也可以通过控件工具轻松地插入Flash动画,为枯燥的表格增加一点灵动的气息.主要步骤如下: 1.准备好将要插入的Flash ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E1kdM.html" rel="bookmark" class="title">js实现动态改变字体大小代码</a>
					<div>
						 本文为大家介绍下使用js如何实现动态改变字体大小,感兴趣的额朋友不要错过 代码如下: &lt;!DOCTYPE html&gt;  &lt;html&gt;  &lt;head&gt;  &lt;t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN17Emb.html" rel="bookmark" class="title">用Word 2010轻松将word文档转换为PDF文档</a>
					<div>
						用Word2010可以轻松的将Word文档转换为PDF格式文档.方法如下: 1.运行Word2010,打开所要转换的文档. 2.点击文件--共享--文件类型,选择&quot;创建文档,进行转换即可.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBjw8z.html" rel="bookmark" class="title">安卓模拟器bluestacks怎么安装？</a>
					<div>
						  安卓模拟器bluestacks安装图文教程来啦~安卓模拟器bluestacks能够实现将手机端的应用能够很好的在电脑上使用,那么安卓模拟器bluestacks要怎么安装呢?下文小编就教大家安卓模拟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwVkVb.html" rel="bookmark" class="title">360软件管家无法安装或升级qq解决办法</a>
					<div>
						  请将QQ2014安装文件夹复制到C:Program Files下,运行C:Program FilesTencentQQQQProtectBin即可. 找到默认安装目录下的QQ2014文件夹,将其复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8eAZb.html" rel="bookmark" class="title">steam微信支付操作用法流程</a>
					<div>
						  steam微信支付怎么弄?steam微信支付操作用法流程 大家在选择游戏购买的时候直接点付款就能看到微信支付咯哦. 在2015年11月Steam平台如期开始了人民币结算,中国内地的支付方式也发生了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX4dep.html" rel="bookmark" class="title">液晶显示器的点距是什么</a>
					<div>
						  CRT的点距会因为荫罩或光栅的设计.视频卡的种类.垂直或水平扫描频率的不同而有所改变,而液晶显示器的像素数量则是固定的,因此在尺寸与分辨率都相同的情况下,大多数液晶显示器的像素间距基本相同. 分辨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdN5p.html" rel="bookmark" class="title">关闭窗口-C&num; winform点击第二个窗口中的按钮，关闭所有窗口</a>
					<div>
						问题描述 C# winform点击第二个窗口中的按钮,关闭所有窗口 Winform中,建立了两个form,如何在第二个窗口中,点击按钮,然后关闭整个程序. 解决方案 Application.Exit( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGJRjb.html" rel="bookmark" class="title">sdk-安装android studio在新建项目时报错，新人求指教</a>
					<div>
						问题描述 安装android studio在新建项目时报错,新人求指教 新建项目时报错 查看sdk时没有显示 sdk也都显示安装 我根据网上方法,指定platform-tools这个文件夹后也没有反应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxlnnb.html" rel="bookmark" class="title">互联网电子商务的销售计划</a>
					<div>
						互联网的销售它必须是具备了周长计划以及市场顺序的全面才能保证您在互联网的成功经营方式!而成功的互联网企业他是以销售计划.营销战略为一个重要的中心点!能肯定的一点就是成功的互联网企业更熟悉他的商业客户位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2N8nb.html" rel="bookmark" class="title">标签之美四&mdash;&mdash;为网页添加绚丽多彩的图像</a>
					<div>
						标签之美--图像的使用 一.设置网页背景图片 ? 1 2 &lt;body background=&quot;1.jpg&quot;&gt; &lt;/body&gt; 这里图片路径的写法和本地超链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAeGkM.html" rel="bookmark" class="title">ViewPager的两种特殊扩展及其他</a>
					<div>
						竖向滑动 ### 1.监听ViewPager的touch事件,交换touch的x和y坐标 private MotionEvent swapTouchEvent(MotionEvent event) { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40ZA8z.html" rel="bookmark" class="title">拥抱&OpenCurlyQuote;天使&rsquo;，惩戒&OpenCurlyQuote;魔鬼&rsquo;</a>
					<div>
						摘要: 依法管理网游,最重要的是明确有关部门的职责范围. &lt;网络游戏管理暂行办法&gt;规定比较全面,但是也存在两个问题,一个问题在于暂行办法作为文化部的部门规章,级别够不够?另 依法管理网游, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Ddjp.html" rel="bookmark" class="title">访问日志IO性能优化</a>
					<div>
						在高并发量的场景下磁盘IO往往是性能的瓶颈所在,访问日志涉及到频繁的写操作,所以这部分要尽可能地优化,不然将拖累系统的整体性能.针对文件记录及数据库记录两种方式可以有以下措施提高写性能, l 避免频繁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqgQvp.html" rel="bookmark" class="title">组织行为学对项目管理的意义：动机理论 &period;</a>
					<div>
						要想做好管理先要理解相应群体的动机,所以管理者要大致知道一点动机理论,要不然就只能呼唤狼性了.   &lt;组织行为学&gt;这本书很有意思,说动机理论前,先攻击金胖子. 说尊敬的领导(即刚去世不久的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyO1mz.html" rel="bookmark" class="title">如何进行文件分片和存储</a>
					<div>
						问题描述 我想询[code=csharp]问怎么通过具体的技术或者工具可以实现文件的分片然后存储 解决方案 解决方案二:Hadoop的HDFS存储系统					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
